﻿using System;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace HeuristicLab.Clients.Hive.Administration.Views.Common {
  public partial class UpdateControl : UserControl {
    public UpdateControl() {
      InitializeComponent();
    }

    public Action UpdateAction { get; set; }

    private void PrivUpdateAction() {
      UpdateAction();
      imgBoxProgress.Invoke(new MethodInvoker(() => imgBoxProgress.Visible = false));
    }

    private void btnRefresh_Click(object sender, EventArgs e) {
      if (UpdateAction != null) {
        imgBoxProgress.Visible = true;
        Action action = new Action(PrivUpdateAction);
        Task task = new Task(action);
        task.Start();
      }
    }
  }
}
